import React, { Suspense, lazy } from 'react';

const PhoneFormatter = lazy(() => import('./index.mjs'));
/**
 * Lazy version of PhoneFormatter, using React.Suspense for progressive enhancement.
 */
function LazyPhoneFormatter(props) {
    return (React.createElement(Suspense, { fallback: React.createElement(React.Fragment, null, props.children({
            inputValue: props.value || "",
            onInputChange(v) {
                props.onChange(v);
            },
            onBlur() {
                /* no-op */
            },
        })) },
        React.createElement(PhoneFormatter, Object.assign({}, props))));
}

export default LazyPhoneFormatter;
